Page MenuHomePhabricator

E6. Browser tests for Special:EnableFlow
Closed, ResolvedPublic2 Story Points

Description

Browser tests to make sure Special:EnableFlow doesn't break unexpectedly.

Three tests: Existing page, New board, Subpage

Here's a description of what needs to be tested:

For a page that doesn't exist, it's simple -- it creates a new Flow board.

For a page that does exist as wikitext:

  • The wikitext page (Talk:Foo) moves to an archive subpage (Talk:Foo/Archive 1).
  • If there's an existing archive subpage in the form (Talk:Foo/Archive 1), the wikitext page moves to (Talk:Foo/Archive 2), based on the next number after the last existing archive page.
  • A template is added to the Flow side rail: {{Wikitext talk page converted to Flow|archive=PAGENAME/Archive X|date=2015-XX-XX}}
  • If the wikitext page has a template above the first heading, the template is copied into the side rail of the new Flow board. Any other wikitext on the page does not get copied.

Event Timeline

DannyH created this task.Jun 17 2015, 11:58 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 11:58 PM

The case that you're referring to (T102874: Using Special:EnableFlow on a French Wikiproject page has broken the page completely) could probably be caught by unit tests too.

Not sure about that, since it was in a hook. It could have been caught in a PHP integration test if Wikibase's hook was part of the Jenkins environment.

I might work on this browser test this weekend.

DannyH updated the task description. (Show Details)Jun 23 2015, 5:44 PM
DannyH set Security to None.
DannyH edited a custom field.
DannyH renamed this task from Browser tests for Special:EnableFlow to E6. Browser tests for Special:EnableFlow.Jun 30 2015, 9:02 PM
Mooeypoo claimed this task.Jul 8 2015, 10:51 PM

Change 223699 had a related patch set uploaded (by Mooeypoo):
Create browser tests for Special:EnableFlow

https://gerrit.wikimedia.org/r/223699

DannyH updated the task description. (Show Details)Jul 9 2015, 6:47 PM

Change 223699 merged by jenkins-bot:
Create browser tests for Special:EnableFlow

https://gerrit.wikimedia.org/r/223699

The latest build shows failures on
https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo+Flow/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-firefox-monobook-sauce/505/consoleFull -- Feature: Flow Special:EnableFlow enables new flow boards - failed.

Flow Special:EnableFlow enables new flow boards.Enabling a new Flow page
Flow Special:EnableFlow enables new flow boards.Enabling a Flow page on existing page

https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo+Flow/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/734/consoleFull -- Feature: Flow Special:EnableFlow enables new flow boards - passed.

https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo+Flow/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-chrome-monobook-sauce/497/consoleFull -- Feature: Flow Special:EnableFlow enables new flow boards - failed.
Flow Special:EnableFlow enables new flow boards.Enabling a new Flow page
Flow Special:EnableFlow enables new flow boards.Enabling a Flow page on existing page

https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo+Flow/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-chrome-sauce/700/consoleFull -- Feature: Flow Special:EnableFlow enables new flow boards - passed.

https://integration.wikimedia.org/ci/view/BrowserTests/view/Echo+Flow/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce/100/consoleFull -- Feature: Flow Special:EnableFlow enables new flow boards - passed.

As for T102842 - we need to find out a good way to monitor/address browser tests failures to separate the process of creating browsers tests from failures in jenkins.

DannyH closed this task as Resolved.Jul 15 2015, 10:40 PM